﻿namespace AsReader251GMAUIiOSDemo.Platforms.iOS
{
    public class AsReader251GDefine
    {
        public enum AsReader251G_ConnectionState : uint
        {
            Disconnected = 0,
            Listen,
            Connecting,
            Connected,
            Cancelling,
            SDKEventMessage
        }
        public enum AsReader251G_KeyType : uint
        {
            Trigger = 0,
            RightMode,
            LeftMode
        }
        public enum AsReader251G_KeyState : uint
        {
            KeyUp = 0,
            KeyDown
        }
        public enum AsReader251G_CommandType : uint
        {
            CommandInventory = 0x66,            
            CommandReadMemory = 0x72,           
            CommandWriteMemory = 0x77,          
            CommandKill = 0x6B,                
            CommandLock = 0x6C,                 
            CommandUnlock = 0x6D,               
            CommandPermaLock = 0x70,           
            CommandBlockWrite = 0x57,           
            CommandBlockErase = 0x45,          
            CommandStop = 0x73,                
            CommandLoadStoredTag = 0x4C,       
            CommandSaveStoredTag = 0x54,        
            CommandRemoveAllStoredTag = 0x44,   
            CommandSoftReset = 0x62,            
            CommandHardReset = 0x68,           
            CommandDefaultParam = 0x61,        
            CommandSaveParam = 0x53,            
            CommandEnterBypass = 0x42,          
            CommandEnterBarcodeBypass = 0x59,   
            CommandLeaveBypass = 0x43,          
            CommandDecodeStart = 0x64,          
            CommandBuzzerStart = 0x75,          
            CommandVibratorStart = 0x76,        
            CommandDecodeStop = 0x65,
            CommandHWTriggerStart = 0x77,
            CommandHWTriggerStop = 0x78,
            CommandInventoryWithTid = 0x79,
            CommandChangeRegion = 0x80,
            CommandReadRFMTempSensorTag = 0x81
        }
    }
}
